Publish your project for free and start receiving offers from freelance contractors in serveral minutes after publication!
100 ₴

Помощь с сайтом на Phytone

project complete


Нужно отладить сайт на Phyton+Django+Nginx

Пишет ошибку в браузере связанную с базой данных "502 Bad Gateway nginx"

Client's feedback about the contractor Alex I.

Quality
Professionalism
Price
Availability
Terms

Всё было сделано быстро и качественно.
Очень отзывчивый исполнитель, всегда есть на связи и держит в курсе о вносимых изменениях.
Большое спасибо Александру за оказанную помощь !!!

Богдан К. Богдан Кулик

Freelancer's feedback about the client Богдане Кулике

Payment
Task formulation
Requirements
Availability

Хороший заказчик. Быстро виходит на связь. Плюс за четкость ТЗ. Думаю, что будем продолжать сотрудничество.

Alex I. Alex Ifcontrol


Make a proposal!

The client doesn't want to make prepayment? Offer him to make a payment via Safe to avoid possible fraud.

  1. 1 day50 $
    Никита И.
     698  verified   19   2

    Готов выполнить , скорее всего nginx нужно подкоректировать

    Ukraine Kyiv | 19 November 2015 |
  2. 2 days150 ₴
    Вадим Литвин
     841   23   3

    Готов посмотреть...

    Ukraine Kyiv | 19 November 2015 |
  3. 1 day100 ₴Winning proposal
    Alex Ifcontrol
     131   1   0

    Есть опыт в настройке django-проэктов на сервере. Могу посмотреть.

    Poland Krakov | 19 November 2015 |
  4. 1 day500 ₴
    Александр Якименко
     162   2   0

    Добрый день.
    Новичок здесь - поэтому качественная работа прежде всего нужна самому.
    Опыт Unix/Linux - более 13 лет.
    Необходимо обследование и анализ, Но кое-что можно сказать и сейчас.
    Ошибка говорит скорее всего об отсутствии связи между nginx и вашим python-приложением.
    Для решения проблемы неободим ssh-доступ с root-правами.
    По итогу работы вы получаете отчет о проделанной работе и рекомендации по донастройке и конфигурированию вашего сервера, если таковые обнаружились в процессе.
    В случае, если причина проста - получите скидку.
    Пишите в личку - посмотрим.

    Ukraine Sumy | 20 November 2015 |
  5. 1 day20 $
    Эргил Осин
     299 

    502 — uWSGI не ответил nginx'у. Исправим.

    Russia Moscow | 20 November 2015 |
  6. 1 day1000 ₽
    Anton Chernousov
     229   1   0

    День добрый. Сейчас свободен, могу помочь.

    Мои контакты:
    Skype: tech22-freelance
    E-mail: [email protected]
    Web: http://th22.info

    Russia Novosibirsk | 20 November 2015 |
  • Leyton aac
    Complain | 19 November 2015 |

    log nginx покажите

    php чем обрабатываете (apache ? модулем ?) ?

    тогда и те логи покажите

  • Богдан Кулик — project author
    Complain | 19 November 2015 |

    The above exception was the direct cause of the following exception:


    Traceback (most recent call last):

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/django/core/handlers/base.py", line 108, in get_response

    response = middleware_method(request)

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/debug_toolbar/middleware.py", line 56, in process_request

    if not self.show_toolbar(request):

    File "/home/lils/lils/lils/settings.py", line 81, in show_toolbar

    return request.user.groups.filter(name='Developers').exists()

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/django/utils/functional.py", line 226, in inner

    self._setup()

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/django/utils/functional.py", line 359, in _setup

    self._wrapped = self._setupfunc()

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/django/contrib/auth/middleware.py", line 22, in <lambda>

    request.user = SimpleLazyObject(lambda: get_user(request))

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/django/contrib/auth/middleware.py", line 10, in get_user

    request._cached_user = auth.get_user(request)

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/django/contrib/auth/__init__.py", line 167, in get_user

    user_id = _get_user_session_key(request)

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/django/contrib/auth/__init__.py", line 59, in _get_user_session_key

    return get_user_model()._meta.pk.to_python(request.session[SESSION_KEY])

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/django/contrib/sessions/backends/base.py", line 48, in __getitem__

    return self._session[key]

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/django/contrib/sessions/backends/base.py", line 181, in _get_session

    self._session_cache = self.load()

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/django/contrib/sessions/backends/db.py", line 21, in load

    expire_date__gt=timezone.now()

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/django/db/models/manager.py", line 127, in manager_method

    return getattr(self.get_queryset(), name)(*args, **kwargs)

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/django/db/models/query.py", line 328, in get

    num = len(clone)

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/django/db/models/query.py", line 144, in __len__

    self._fetch_all()

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/django/db/models/query.py", line 965, in _fetch_all

    self._result_cache = list(self.iterator())

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/django/db/models/query.py", line 238, in iterator

    results = compiler.execute_sql()

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/django/db/models/sql/compiler.py", line 838, in execute_sql

    cursor = self.connection.cursor()

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/django/db/backends/base/base.py", line 164, in cursor

    cursor = self.make_cursor(self._cursor())

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/django/db/backends/base/base.py", line 135, in _cursor

    self.ensure_connection()

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/django/db/backends/base/base.py", line 130, in ensure_connection

    self.connect()

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/django/db/utils.py", line 97, in __exit__

    six.reraise(dj_exc_type, dj_exc_value, traceback)

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/django/utils/six.py", line 658, in reraise

    raise value.with_traceback(tb)

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/django/db/backends/base/base.py", line 130, in ensure_connection

    self.connect()

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/django/db/backends/base/base.py", line 119, in connect

    self.connection = self.get_new_connection(conn_params)

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/django/db/backends/postgresql_psycopg2/base.py", line 176, in get_new_connection

    connection = Database.connect(**conn_params)

    File "/home/lils/.pyenv/versions/lils/lib/python3.4/site-packages/psycopg2/__init__.py", line 164, in connect

    conn = _connect(dsn, connection_factory=connection_factory, async=async)

    django.db.utils.OperationalError: FATAL: Peer authentication failed for user "lils"


  • Богдан Кулик — project author
    Complain | 19 November 2015 |

    могу дать доступ по SSH через мой компьютер, через Team Viewer

  • Богдан Кулик — project author
    Complain | 19 November 2015 |

    обрабатывается с помощью Apache

  • Leyton aac
    Complain | 19 November 2015 |

    бросьте в личку, я посмотреть должен

  • Leyton aac
    Complain | 20 November 2015 |

    в логе nginx-a есть что-то такое ?
    connect() failed (111: Connection refused) while connecting to upstream, client: 127.0.0.1, server: localhost

  • Add

Client
Богдан Кулик
Ukraine Ukraine  5   0
Project published
19 November 2015
243 views
Payment methods
Share